com.google.gwt.resources.converter

## Class ElseNodeCreator

- java.lang.Object
- - com.google.gwt.resources.css.ast.CssVisitor
  - - com.google.gwt.resources.converter.ExtendedCssVisitor
    - - com.google.gwt.resources.converter.ElseNodeCreator

    public class ElseNodeCreator
    extends ExtendedCssVisitor

The original Css parser doesn't create specific nodes for `@elif` and `@else` at-rules. That makes their conversion more difficult, especially for the `@else` at-rule.

The main goal of this visitor is to create specific nodes for these two at-rules in order to ease their conversion.

### Field Summary

### Fields inherited from class com.google.gwt.resources.css.ast.CssVisitor

`UNMODIFIABLE_CONTEXT`

### Constructor Summary

Constructors
Constructor and Description
`ElseNodeCreator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `visit(com.google.gwt.resources.css.ast.CssIf cssIf, com.google.gwt.resources.css.ast.Context ctx)`

### Methods inherited from class com.google.gwt.resources.converter.ExtendedCssVisitor

`endVisit, endVisit, visit, visit`

### Methods inherited from class com.google.gwt.resources.css.ast.CssVisitor

`accept, accept, acceptWithInsertRemove, doAccept, doAccept, doAcceptWithInsertRemove, doTraverse, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, endVisit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ElseNodeCreator

    public ElseNodeCreator()

### Method Detail

#### visit

    public boolean visit(com.google.gwt.resources.css.ast.CssIf cssIf,
                         com.google.gwt.resources.css.ast.Context ctx)

Overrides:
  `visit` in class `com.google.gwt.resources.css.ast.CssVisitor`
Parameters:
  `cssIf` - the node being visited
  `ctx` - the context for the visit